package com.sundot.airport.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 检查记录状态枚举
 */
@Getter
@AllArgsConstructor
public enum CheckRecordStatusEnum {

    DRAFT("DRAFT", "草稿"),
    FORMAL("FORMAL", "正式");

    private final String code;
    private final String desc;

    public static CheckRecordStatusEnum getByCode(String code) {
        for (CheckRecordStatusEnum itemEnum : values()) {
            if (itemEnum.getCode().equals(code)) {
                return itemEnum;
            }
        }
        return null;
    }

}
